package com.engine.salary.remote.attend.service;

import com.engine.salary.remote.attend.entity.Attend4Salary;

import java.util.List;
import java.util.Map;

public interface RemoteAttend4SalaryService {

    /**
     * 考勤报表列
     * @return
     */
    List<Map<String, String>> getColumns();

    /**
     * 考勤报表数据
     * @param attend4Salary
     * @return
     */
    List<Map<String,String>> getDatas(Attend4Salary attend4Salary);

    /**
     * 获取假期余额列
     * @return
     */
    List<Map<String, String>> getBalanceOfLeaveColumns();

    /**
     * 假期值
     * @param attend4Salary
     * @return
     */
    List<Map<String, String>> getBalanceOfLeaveDatas(Attend4Salary attend4Salary);
}
